#### 安装

```bash
# apt + ntp 
curl -sSL https://git.martin98.com/MartinFarm/init/raw/branch/main/init-apt.sh | bash
# docker-ce
curl -sSL https://git.martin98.com/MartinFarm/init/raw/branch/main/init-docker.sh | bash
# npm
curl -sSL https://git.martin98.com/MartinFarm/init/raw/branch/main/init-npm.sh | bash
# pip
curl -sSL https://git.martin98.com/MartinFarm/init/raw/branch/main/init-pip.sh | bash
# git
curl -sSL https://git.martin98.com/MartinFarm/init/raw/branch/main/init-git.sh | bash


# 初始化全部
curl -sSL https://git.martin98.com/MartinFarm/init/raw/branch/main/init-all.sh | bash
```

#### Python 镜像源配置测试

```bash
pip config set global.index-url https://mirrors.martin98.com/repository/pypi-group/simple
```

#### NPM

```bash
npm config set registry https://mirrors.martin98.com/repository/npm-group/
```

#### dockerfile

```bash
COPY --from=docker.martin98.com/martin_farm/init:latest /scripts /scripts
RUN /scripts/init-apt.sh
```

#### APT 镜像源配置测试

```bash
docker compose run debian ./init-all.sh
```

```bash
docker compose run ubuntu ./init-all.sh
```

```bash
docker compose run ubuntu-2204 ./init-all.sh
```